-- YourLand specific file.
-- Please link local_server_do_once_on_startup.lua to this file IF running on the YourLand server!
-- Else ignore this file.

yl_speak_up_addons = {}

local function read_skins_and_capes_from_folders()
    local temp = {}

    -- get the files out of modpath
    local mp_list = minetest.get_dir_list(yl_speak_up.modpath .. DIR_DELIM .. "textures", false)

    -- get the files out of worlddir
    local wp_list =
        minetest.get_dir_list(
        yl_speak_up.worldpath .. DIR_DELIM .. "worldmods" .. DIR_DELIM .. "yl_npc" .. DIR_DELIM .. "textures",
        false
    )

    -- Let's join both lists.
    table.insert_all(temp, mp_list)
    table.insert_all(temp, wp_list)

    return temp
end


yl_speak_up.enable_yl_mobs = true

-- mobs registered as yl_speak_up-mobs (based on mobs_redo)
if(yl_speak_up.enable_yl_mobs) then
	-- react to right-click etc.
	dofile(yl_speak_up.modpath .. "interface_mobs_api.lua")
	-- the actual mobs, using mobs_redo
	dofile(yl_speak_up.modpath .. "mobs.lua")
	-- may store a table of registered mobs in the future; currently not really used
	yl_speak_up.mob_table = yl_speak_up.init_mob_table() or {}
end

-- this has to be called *once* when the file is initialized
yl_speak_up_addons.file_list = read_skins_and_capes_from_folders()
